Get anonymous strategy leaderboard
curl --request GET \
--url https://api.itoflow.ai/leaderboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/leaderboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"champions": {
"monthly": {
"anonymousStrategyName": "<string>",
"anonymousUserName": "<string>",
"calculatedAt": "<string>",
"isCurrentUser": true,
"leaderboardEntryId": "<string>",
"monthlyAlpha": 123,
"overallReturn": 123,
"performance": 123,
"rank": 123,
"weeklyAlpha": 123
},
"weekly": {
"anonymousStrategyName": "<string>",
"anonymousUserName": "<string>",
"calculatedAt": "<string>",
"isCurrentUser": true,
"leaderboardEntryId": "<string>",
"monthlyAlpha": 123,
"overallReturn": 123,
"performance": 123,
"rank": 123,
"weeklyAlpha": 123
}
},
"entries": [
{
"anonymousStrategyName": "<string>",
"anonymousUserName": "<string>",
"calculatedAt": "<string>",
"isCurrentUser": true,
"leaderboardEntryId": "<string>",
"monthlyAlpha": 123,
"overallReturn": 123,
"performance": 123,
"rank": 123,
"weeklyAlpha": 123
}
],
"generatedAt": "<string>",
"pagination": {
"hasNextPage": true,
"hasPreviousPage": true,
"page": 123,
"pageSize": 123,
"totalPages": 1,
"totalRankedEntries": 1
},
"period": "overall",
"viewer": {
"anonymousUserName": "<string>",
"bestPerformance": 123,
"bestRank": 123,
"bestStrategyName": "<string>",
"totalRankedEntries": 1
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Market data
Get anonymous strategy leaderboard
Returns anonymized strategy performance rankings and weekly/monthly champions. Only the requesting user can see which rows are theirs.
Operation ID: get__leaderboard.
GET
https://api.itoflow.ai
/
leaderboard
Get anonymous strategy leaderboard
curl --request GET \
--url https://api.itoflow.ai/leaderboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/leaderboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"champions": {
"monthly": {
"anonymousStrategyName": "<string>",
"anonymousUserName": "<string>",
"calculatedAt": "<string>",
"isCurrentUser": true,
"leaderboardEntryId": "<string>",
"monthlyAlpha": 123,
"overallReturn": 123,
"performance": 123,
"rank": 123,
"weeklyAlpha": 123
},
"weekly": {
"anonymousStrategyName": "<string>",
"anonymousUserName": "<string>",
"calculatedAt": "<string>",
"isCurrentUser": true,
"leaderboardEntryId": "<string>",
"monthlyAlpha": 123,
"overallReturn": 123,
"performance": 123,
"rank": 123,
"weeklyAlpha": 123
}
},
"entries": [
{
"anonymousStrategyName": "<string>",
"anonymousUserName": "<string>",
"calculatedAt": "<string>",
"isCurrentUser": true,
"leaderboardEntryId": "<string>",
"monthlyAlpha": 123,
"overallReturn": 123,
"performance": 123,
"rank": 123,
"weeklyAlpha": 123
}
],
"generatedAt": "<string>",
"pagination": {
"hasNextPage": true,
"hasPreviousPage": true,
"page": 123,
"pageSize": 123,
"totalPages": 1,
"totalRankedEntries": 1
},
"period": "overall",
"viewer": {
"anonymousUserName": "<string>",
"bestPerformance": 123,
"bestRank": 123,
"bestStrategyName": "<string>",
"totalRankedEntries": 1
}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}